"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.GetSentryTransactionEventsParams = void 0;
const validator_1 = require("@medusajs/medusa/dist/utils/validator");
const sentry_1 = __importDefault(require("../../services/sentry"));
const class_validator_1 = require("class-validator");
const sentry_transaction_1 = require("./sentry-transaction");
exports.default = (token) => {
    return async (req, res) => {
        const { transaction, organisation, project, statsPeriod, perPage, cursor } = await (0, validator_1.validator)(GetSentryTransactionEventsParams, req.query);
        const sentryService = req.scope.resolve(sentry_1.default.RESOLVE_KEY);
        const result = await sentryService.fetchTransactionEvents({
            transaction,
            organisation,
            project,
            statsPeriod,
            perPage,
            cursor,
            token,
        });
        res.json(result);
    };
};
class GetSentryTransactionEventsParams extends sentry_transaction_1.GetSentryTransactionsParams {
}
__decorate([
    (0, class_validator_1.IsString)(),
    __metadata("design:type", String)
], GetSentryTransactionEventsParams.prototype, "transaction", void 0);
exports.GetSentryTransactionEventsParams = GetSentryTransactionEventsParams;
//# sourceMappingURL=sentry-transaction-events.js.map